# FlyingHawkButt Villager Sounds

## What's this all about?
This is a Minecraft resource pack containing villager sounds featuring Twitch variety streamer FlyingHawkButt.

This came about during a livestream in which Hawkie was bragging that she could sound just like the villagers in Minecraft, and *demanded* that someone "put [her] in the ... game."

So I did.

Ever since then, I've had so much fun putting this together, I can't stop.  As evidence of this, the edition I'm working on now contains witch sounds and a music disc, and I'm planning pillagers and maybe even *zombie* villagers.

Please send help.

## Follow FlyingHawkButt
* Catch her livestreams on [Twitch](https://www.twitch.tv/flyinghawkbutt), and tell her Kuo sent you
* View her on-demand videos on [YouTube](https://www.youtube.com/@flyinghawkbutt9630)
* Follow her antics on [Twitter](https://twitter.com/flyinghawkbutt)
* Interact with her and her amazing followers in [The Nest](https://discord.com/invite/THcR8C3BKw)

## How to install
1. In Minecraft's main menu, click "Options"
2. Click "Resource Packs."
3. At the bottom of the screen that appears, click "Open Pack Folder."
4. Drop this zip file into this folder using your file manager and then return to Minecraft.  You should see the pack in the list at the left side of the screen (Available)
5. Click the arrow on the pack to move it to the right side of the screen (Selected)
6. Click "Done" and play the game.

## How to hear all the sounds
All the sounds are random in their context, so you may need to try multiple times to hear them all.  Also, the game pitch-shifts the sounds for variety, so they can sound kind of different, even if they're not.  Be patient.  The "Editions" section below shows how many of each type of sound to expect.

* Find a village.  Just hanging around the inhabitants, you should hear them make various "ambient" sounds.

* Right-click on a villager with a profession to enter the villager's trading menu.  Do nothing, just wait.  You should hear various "trade" sounds while you are in this menu.

* Try to trade an item that the villager will *not* accept.  You should hear various "no" sounds.  You can also hear these "no" sounds if you try to trade with a villager who has no profession.

* Trade an item that the villager *does* accept.  You should hear various "yes" sounds.  They should also make these sounds when you win a raid.

* Take out a sword and attack the villager.  You should hear several "hurt" sounds.  I wouldn't recommend doing this in survival mode, as the village's Iron Golem will want to have words with you.  FlyingHawkButt herself F&@%ed-around and found out the first time she tried this pack.

* When the villager finally dies, you should hear one or more (depending on edition) spectacular "death" sound(s).

* To hear the "celebrate" sounds, trigger and defeat a raid.  When the villagers are outside shooting off fireworks, they will make special sounds.

* To hear witch "celebrate" sounds, the pillagers need to win the raid.

## Editions
### Original
This was the original, built quickly based on Hawkie's joking attempt to imitate the villager sounds on her livestream.  She had no idea at the time that someone would take her seriously.  It came together just in time for a special livestream event in which FlyingHawkButt joined the rest of [CarlCrafts](https://www.twitch.tv/carlcrafts)' mod team in their attempt to defeat the Ender Dragon.  The sheer hilarity that ensued was quite the experience.

#### This edition has 17 sounds:
* villagers: 3 ambient, 1 death, 4 hurt, 3 no, 3 trade, 3 yes

I was not aware that "celebrate" sounds were different from "yes" sounds at this time, because the vanilla game has no special celebration sounds.  They simply reuse the "yes" sounds for this.  All my other editions separate these, so "yes" and "celebrate" are two different concepts.  This edition will stay the way it is just for nostalgia.

### UwU (in progress)
This edition aims to be as adorable as possible, with giggles and laughter and benevolent good vibes, because Hawkie is absolutely adorable in every way.

### Adult (in progress)
Whenever possible in this edition, the sound event will be profane.  She is Australian, after-all...

### Loaded (in progress)
This edition will have all the original sounds, plus as many more as I can pack in there over time.  I discovered how to include more than the default number of sounds, so you'd better believe I'm stuffing this thing full.  The only thing this pack won't contain is profanity.

#### This edition currently has 212 sounds
* Villagers: 23 ambient, 18 celebrate,  14 death, 59 hurt, 20 no, 39 trade, 21 yes
* Witches: 13 ambient, 2 celebrate
* Music Discs: Disc "11" has been replaced with Hawkie covering a song badly

### Technical notes
#### Sounds
All the sounds in each pack (with the exception of the original edition) are fully normalized, and game volume directives are now specified in the sounds.json file, which makes changing the volume for a specific file much easier, and can even be done by you, just by editing the zip file.

#### Building from source
At any time, if you are impatient for a new version and you know what you are doing, you can clone my repository to your hard drive and pack the files yourself. I will not, however, be able to provide any kind of support for versions packed by other people. Make sure you choose a name that doesn't match my format; perhaps use the word "custom" or the date you cloned the repo.

## Bug reports
Please report any bugs or issues or feature requests you have on the project's Github [issues](https://github.com/Kuoxsr/fhb-villager-sounds/issues) page.  I have taken requests through Twitch chat and/or Minecraft chat during a livestream, but in the future, I'd like to have a record of change requests and queue them properly, so I may ask you to formally visit that page.